--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_set/mountpoint_003_pos.ksh	Wed Aug 31 16:20:44 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_set/mountpoint_003_pos.ksh	Wed Aug 31 16:20:44 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 
 #
@@ -43,10 +47,10 @@
 
 function cleanup
 {
-	ismounted $tmpmnt && log_must $UMOUNT $tmpmnt
-	[[ -d $tmpmnt ]] && log_must $RM -rf $tmpmnt
-	[[ -n $oldmpt ]] && log_must $ZFS set mountpoint=$oldmpt $testfs
-	! ismounted $oldmpt && log_must $ZFS mount $testfs
+	ismounted $tmpmnt && log_must umount $tmpmnt
+	[[ -d $tmpmnt ]] && log_must rm -rf $tmpmnt
+	[[ -n $oldmpt ]] && log_must zfs set mountpoint=$oldmpt $testfs
+	! ismounted $oldmpt && log_must zfs mount $testfs
 }
 
 log_assert "With legacy mount, FSType-specific option works well."
@@ -69,16 +73,16 @@
 	"atime"		"/atime/"	"noatime"	"/noatime/"
 
 tmpmnt=/tmpmnt.$$
-[[ -d $tmpmnt ]] && $RM -rf $tmpmnt
+[[ -d $tmpmnt ]] && rm -rf $tmpmnt
 testfs=$TESTPOOL/$TESTFS
-log_must $MKDIR $tmpmnt
+log_must mkdir $tmpmnt
 oldmpt=$(get_prop mountpoint $testfs)
-log_must $ZFS set mountpoint=legacy $testfs
+log_must zfs set mountpoint=legacy $testfs
 
 typeset i=0
 while ((i < ${#args[@]})); do
-	log_must $MOUNT -F zfs -o ${args[$i]} $testfs $tmpmnt
-	msg=$($MOUNT | $GREP "^$tmpmnt ")
+	log_must mount -F zfs -o ${args[$i]} $testfs $tmpmnt
+	msg=$(mount | grep "^$tmpmnt ")
 
 	# In LZ, a user with all zone privileges can never with "devices"
 	if ! is_global_zone && [[ ${args[$i]} == devices ]] ; then
@@ -85,13 +89,13 @@
 		args[((i+1))]="/nodevices/"
 	fi
 
-	$ECHO $msg | $GREP "${args[((i+1))]}" > /dev/null 2>&1
+	echo $msg | grep "${args[((i+1))]}" > /dev/null 2>&1
 	if (($? != 0)) ; then
 		log_fail "Expected option: ${args[((i+1))]} \n" \
 			 "Real option: $msg"
 	fi
 
-	log_must $UMOUNT $tmpmnt
+	log_must umount $tmpmnt
 	((i += 2))
 done
 
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_set/onoffs_001_pos.ksh	Wed Aug 31 16:20:44 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_set/onoffs_001_pos.ksh	Wed Aug 31 16:20:44 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 . $STF_SUITE/tests/functional/cli_root/zfs_set/zfs_set_common.kshlib
 
@@ -42,7 +46,7 @@
 
 function cleanup
 {
-	log_must $ZFS mount -a
+	log_must zfs mount -a
 }
 
 log_onexit cleanup
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_set/property_alias_001_pos.ksh	Wed Aug 31 16:20:44 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_set/property_alias_001_pos.ksh	Wed Aug 31 16:20:44 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 . $STF_SUITE/tests/functional/cli_root/zfs_set/zfs_set_common.kshlib
 
@@ -48,7 +52,7 @@
 	typeset chkprop=$4
 	typeset getval
 
-	log_must $ZFS set $setprop=$setval $ds
+	log_must zfs set $setprop=$setval $ds
 	if [[ $setval == "gzip-6" ]]; then
 		setval="gzip"
 	fi
@@ -89,7 +93,7 @@
 
 for ds in $pool $fs $vol; do
 	for propname in ${ro_prop[*]}; do
-		$ZFS get -pH -o value $propname $ds >/dev/null 2>&1
+		zfs get -pH -o value $propname $ds >/dev/null 2>&1
 		(( $? != 0 )) && \
 			log_fail "Get the property $proname of $ds failed."
 	done
@@ -118,7 +122,7 @@
 	done
 	if [[ $ds == $vol ]]; then
 		for propname in "volblocksize" "volblock" ; do
-			$ZFS get -pH -o value $propname $ds >/dev/null 2>&1
+			zfs get -pH -o value $propname $ds >/dev/null 2>&1
 			(( $? != 0 )) && \
 				log_fail "Get the property $propname of $ds failed."
 		done
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_set/readonly_001_pos.ksh	Wed Aug 31 16:20:44 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_set/readonly_001_pos.ksh	Wed Aug 31 16:20:44 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2014 by Delphix. All rights reserved.
+# Copyright (c) 2014, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/cli_root/zfs_set/zfs_set_common.kshlib
@@ -48,7 +48,7 @@
 {
 	for dataset in $TESTPOOL/$TESTFS $TESTPOOL/$TESTVOL ; do
 		snapexists ${dataset}@$TESTSNAP && \
-			log_must $ZFS destroy -R ${dataset}@$TESTSNAP
+			log_must zfs destroy -R ${dataset}@$TESTSNAP
 	done
 }
 
@@ -60,8 +60,8 @@
 
 	if [[ $fstype == "filesystem" ]] ; then
 		typeset mtpt=$(get_prop mountpoint $dataset)
-		log_must $TOUCH $mtpt/$TESTFILE0
-		log_must $MKDIR -p $mtpt/$TESTDIR0
+		log_must touch $mtpt/$TESTFILE0
+		log_must mkdir -p $mtpt/$TESTDIR0
 	fi
 }
 
@@ -74,8 +74,8 @@
 
 	if [[ $fstype == "filesystem" ]] ; then
 		typeset mtpt=$(get_prop mountpoint $dataset)
-		log_must $RM -f $mtpt/$TESTFILE0
-		log_must $RM -rf $mtpt/$TESTDIR0
+		log_must rm -f $mtpt/$TESTFILE0
+		log_must rm -rf $mtpt/$TESTDIR0
 	fi
 }
 
@@ -100,20 +100,20 @@
 	case $fstype in
 		filesystem)
 			typeset mtpt=$(get_prop mountpoint $dataset)
-			$expect $TOUCH $mtpt/$TESTFILE1
-			$expect $MKDIR -p $mtpt/$TESTDIR1
-			$expect eval "$ECHO 'y' | $RM $mtpt/$TESTFILE0"
-			$expect $RMDIR $mtpt/$TESTDIR0
+			$expect touch $mtpt/$TESTFILE1
+			$expect mkdir -p $mtpt/$TESTDIR1
+			$expect eval "echo 'y' | rm $mtpt/$TESTFILE0"
+			$expect rmdir $mtpt/$TESTDIR0
 
 			if [[ $expect == "log_must" ]] ; then
-				log_must eval "$ECHO 'y' | $RM $mtpt/$TESTFILE1"
-				log_must $RMDIR $mtpt/$TESTDIR1
-				log_must $TOUCH $mtpt/$TESTFILE0
-				log_must $MKDIR -p $mtpt/$TESTDIR0
+				log_must eval "echo 'y' | rm $mtpt/$TESTFILE1"
+				log_must rmdir $mtpt/$TESTDIR1
+				log_must touch $mtpt/$TESTFILE0
+				log_must mkdir -p $mtpt/$TESTDIR0
 			fi
 			;;
 		volume)
-			$expect eval "$ECHO 'y' | $NEWFS \
+			$expect eval "echo 'y' | newfs \
 			    /dev/zvol/dsk/$dataset > /dev/null 2>&1"
 			;;
 		*)
@@ -129,14 +129,14 @@
 
 typeset all_datasets
 
-log_must $ZFS mount -a
+log_must zfs mount -a
 
-log_must $ZFS snapshot $TESTPOOL/$TESTFS@$TESTSNAP
-log_must $ZFS clone $TESTPOOL/$TESTFS@$TESTSNAP $TESTPOOL/$TESTCLONE
+log_must zfs snapshot $TESTPOOL/$TESTFS@$TESTSNAP
+log_must zfs clone $TESTPOOL/$TESTFS@$TESTSNAP $TESTPOOL/$TESTCLONE
 
 if is_global_zone ; then
-	log_must $ZFS snapshot $TESTPOOL/$TESTVOL@$TESTSNAP
-	log_must $ZFS clone $TESTPOOL/$TESTVOL@$TESTSNAP $TESTPOOL/$TESTCLONE1
+	log_must zfs snapshot $TESTPOOL/$TESTVOL@$TESTSNAP
+	log_must zfs clone $TESTPOOL/$TESTVOL@$TESTSNAP $TESTPOOL/$TESTCLONE1
 	all_datasets="$TESTPOOL $TESTPOOL/$TESTFS $TESTPOOL/$TESTVOL "
 	all_datasets+="$TESTPOOL/$TESTCLONE $TESTPOOL/$TESTCLONE1"
 else
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_set/reservation_001_neg.ksh	Wed Aug 31 16:20:44 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_set/reservation_001_neg.ksh	Wed Aug 31 16:20:44 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 
 #
@@ -66,12 +70,12 @@
 		j=0
 		while (( $j < ${#suffix[*]} )); do
 
-			$ZFS set \
+			zfs set \
 				reservation=${values[$i]}${suffix[$j]} $obj \
 				> /dev/null 2>&1
 			if [ $? -eq 0 ]
 			then
-				log_note "$ZFS set \
+				log_note "zfs set \
 				reservation=${values[$i]}${suffix[$j]} $obj"
 				log_fail "The above reservation set returned 0!"
 			fi
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_set/ro_props_001_pos.ksh	Wed Aug 31 16:20:44 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_set/ro_props_001_pos.ksh	Wed Aug 31 16:20:44 2016
@@ -57,7 +57,7 @@
 	sharenfs checksum compression compress atime devices exec readonly rdonly \
 	setuid zoned"
 
-$ZFS upgrade -v > /dev/null 2>&1
+zfs upgrade -v > /dev/null 2>&1
 if [[ $? -eq 0 ]]; then
 	snap_ro_props="$snap_ro_props version"
 fi
@@ -102,7 +102,7 @@
 			# equal to values[j].
 			#
 			if [[ $cur_value == ${values[j]} ]]; then
-				log_mustnot $ZFS set $prop=${values[j]} \
+				log_mustnot zfs set $prop=${values[j]} \
 					${dataset[i]}
 			else
 				set_n_check_prop ${values[j]} $prop \
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_set/share_mount_001_neg.ksh	Wed Aug 31 16:20:44 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_set/share_mount_001_neg.ksh	Wed Aug 31 16:20:44 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/tests/functional/cli_root/zfs_set/zfs_set_common.kshlib
 
 #
@@ -41,7 +45,7 @@
 
 function cleanup
 {
-	log_must $ZFS set mountpoint=$oldmpt $fs
+	log_must zfs set mountpoint=$oldmpt $fs
 }
 
 log_assert "Verify that we cannot share or mount legacy filesystems."
@@ -51,10 +55,10 @@
 oldmpt=$(get_prop mountpoint $fs)
 
 for propval in "legacy" "none"; do
-	log_must $ZFS set mountpoint=$propval $fs
+	log_must zfs set mountpoint=$propval $fs
 
-	log_mustnot $ZFS mount $fs
-	log_mustnot $ZFS share $fs
+	log_mustnot zfs mount $fs
+	log_mustnot zfs share $fs
 done
 
 log_pass "We cannot share or mount legacy filesystems as expected."
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_set/snapdir_001_pos.ksh	Wed Aug 31 16:20:44 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_set/snapdir_001_pos.ksh	Wed Aug 31 16:20:44 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/tests/functional/cli_root/zfs_set/zfs_set_common.kshlib
 
 #
@@ -45,7 +49,7 @@
 {
 	for dataset in $all_datasets; do
 		snapexists ${dataset}@snap && \
-			log_must $ZFS destroy ${dataset}@snap
+			log_must zfs destroy ${dataset}@snap
 	done
 }
 
@@ -56,7 +60,7 @@
 	typeset mtpt=$(get_prop mountpoint $dataset)
 	typeset name
 
-	for name in `$LS -a $mtpt`; do
+	for name in `ls -a $mtpt`; do
 		if [[ $name == ".zfs" ]]; then
 			if [[ $value == "visible" ]]; then
 				return 0
@@ -85,7 +89,7 @@
 log_onexit cleanup
 
 for dataset in $all_datasets; do
-	log_must $ZFS snapshot ${dataset}@snap
+	log_must zfs snapshot ${dataset}@snap
 done
 
 log_assert "Setting a valid snapdir property on a dataset succeeds."
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_set/user_property_001_pos.ksh	Wed Aug 31 16:20:45 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_set/user_property_001_pos.ksh	Wed Aug 31 16:20:45 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/tests/functional/cli_root/zfs_set/zfs_set_common.kshlib
 
 #
@@ -55,7 +59,7 @@
 	typeset value=$(user_property_value $len)
 
 	for dtst in $TESTPOOL $TESTPOOL/$TESTFS $TESTPOOL/$TESTVOL; do
-		log_must eval "$ZFS set $user_prop='$value' $dtst"
+		log_must eval "zfs set $user_prop='$value' $dtst"
 		log_must eval "check_user_prop $dtst $user_prop '$value'"
 	done
 
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_set/user_property_002_pos.ksh	Wed Aug 31 16:20:45 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_set/user_property_002_pos.ksh	Wed Aug 31 16:20:45 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/tests/functional/cli_root/zfs_set/zfs_set_common.kshlib
 
 #
@@ -44,13 +48,13 @@
 
 function cleanup
 {
-	datasetexists $new_vol && log_must $ZFS rename $new_vol $vol
+	datasetexists $new_vol && log_must zfs rename $new_vol $vol
 
 	typeset dtst
 	for dtst in $new_fsclone $new_volclone $fsclone $volclone \
 	    $fssnap $volsnap; do
 		if datasetexists $dtst; then
-			log_must $ZFS destroy -f $dtst
+			log_must zfs destroy -f $dtst
 		fi
 	done
 
@@ -92,26 +96,26 @@
 
 pool=$TESTPOOL; fs=$pool/$TESTFS; vol=$pool/$TESTVOL
 fssnap=$fs@snap; volsnap=$vol@snap;
-log_must $ZFS snapshot $fssnap
-log_must $ZFS snapshot $volsnap
+log_must zfs snapshot $fssnap
+log_must zfs snapshot $volsnap
 fsclone=$pool/fsclone; volclone=$pool/volclone
-log_must $ZFS clone $fssnap $fsclone
-log_must $ZFS clone $volsnap $volclone
+log_must zfs clone $fssnap $fsclone
+log_must zfs clone $volsnap $volclone
 
 prop_name=$(valid_user_property 10)
 value=$(user_property_value 16)
-log_must eval "$ZFS set $prop_name='$value' $pool"
+log_must eval "zfs set $prop_name='$value' $pool"
 log_must eval "check_user_prop $pool $prop_name '$value'"
 log_must inherit_check $prop_name $pool $fs $vol $fsclone $volclone
 
 new_fsclone=$fs/fsclone; new_volclone=$fs/volclone
-log_must $ZFS rename $fsclone $new_fsclone
-log_must $ZFS rename $volclone $new_volclone
+log_must zfs rename $fsclone $new_fsclone
+log_must zfs rename $volclone $new_volclone
 log_must inherit_check $prop_name $pool $fs $new_fsclone $new_volclone
 
 log_note "Set intermediate dataset will change the inherited relationship."
 new_value=$(user_property_value 16)
-log_must eval "$ZFS set $prop_name='$new_value' $fs"
+log_must eval "zfs set $prop_name='$new_value' $fs"
 log_must eval "check_user_prop $fs $prop_name '$new_value'"
 log_must inherit_check $prop_name $fs $new_fsclone $new_volclone
 
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_set/user_property_003_neg.ksh	Wed Aug 31 16:20:45 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_set/user_property_003_neg.ksh	Wed Aug 31 16:20:45 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/tests/functional/cli_root/zfs_set/zfs_set_common.kshlib
 
 #
@@ -53,7 +57,7 @@
 	typeset value=$(user_property_value $len)
 
 	for dtst in $TESTPOOL $TESTPOOL/$TESTFS $TESTPOOL/$TESTVOL ; do
-		log_mustnot $ZFS set $user_prop=$value $dtst
+		log_mustnot zfs set $user_prop=$value $dtst
 		log_mustnot check_user_prop $dtst \"$user_prop\" \"$value\"
 	done
 
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_set/user_property_004_pos.ksh	Wed Aug 31 16:20:45 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_set/user_property_004_pos.ksh	Wed Aug 31 16:20:45 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/tests/functional/cli_root/zfs_set/zfs_set_common.kshlib
 
 #
@@ -43,7 +47,7 @@
 	for fs in $TESTPOOL/$TESTFS $TESTPOOL/$TESTVOL $TESTPOOL ; do
 		typeset fssnap=$fs@snap
 		if datasetexists $fssnap ; then
-			log_must $ZFS destroy -f $fssnap
+			log_must zfs destroy -f $fssnap
 		fi
 	done
 	cleanup_user_prop $TESTPOOL
@@ -68,7 +72,7 @@
 
 typeset snap_property=
 
-$ZPOOL upgrade -v | $GREP "Snapshot properties" > /dev/null 2>&1
+zpool upgrade -v | grep "Snapshot properties" > /dev/null 2>&1
 if (( $? == 0 )) ; then
 	snap_property="true"
 fi
@@ -77,19 +81,19 @@
 	typeset fssnap=$fs@snap
 	prop_name=$(valid_user_property 10)
 	value=$(user_property_value 16)
-	log_must eval "$ZFS set $prop_name='$value' $fs"
+	log_must eval "zfs set $prop_name='$value' $fs"
 	log_must eval "check_user_prop $fs $prop_name '$value'"
 
-	log_must $ZFS snapshot $fssnap
+	log_must zfs snapshot $fssnap
 
 	if [[ -n $snap_property ]] ; then
 		log_mustnot nonexist_user_prop $prop_name $fssnap
 
-		log_must eval "$ZFS set $prop_name='$value' $fssnap"
+		log_must eval "zfs set $prop_name='$value' $fssnap"
 		log_mustnot nonexist_user_prop $prop_name $fssnap
 	else
 		log_must nonexist_user_prop $prop_name $fssnap
-		log_mustnot eval "$ZFS set $prop_name='$value' $fssnap"
+		log_mustnot eval "zfs set $prop_name='$value' $fssnap"
 		log_must nonexist_user_prop $prop_name $fssnap
 	fi
 done
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_set/version_001_neg.ksh	Wed Aug 31 16:20:45 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_set/version_001_neg.ksh	Wed Aug 31 16:20:45 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 . $STF_SUITE/tests/functional/cli_root/zfs_upgrade/zfs_upgrade.kshlib
 
@@ -62,9 +66,9 @@
 	orig_val=$(get_prop version $obj)
 
 	while (($i < ${#values[*]})); do
-		$ZFS set version=${values[$i]} $obj  > /dev/null 2>&1
+		zfs set version=${values[$i]} $obj  > /dev/null 2>&1
 		if [[ $? -eq 0 ]]; then
-			log_note "$ZFS set version=${values[$i]} $obj"
+			log_note "zfs set version=${values[$i]} $obj"
 			log_fail "The above version set returned 0!"
 		fi
 
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_set/zfs_set_002_neg.ksh	Wed Aug 31 16:20:45 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_set/zfs_set_002_neg.ksh	Wed Aug 31 16:20:45 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2011 by Delphix. All rights reserved.
+# Copyright (c) 2011, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/cli_root/zfs_set/zfs_set_common.kshlib
@@ -54,7 +54,7 @@
 	$TESTPOOL/$TESTFS@$TESTSNAP; do
 	for badarg in "" "-" "-?"; do
 		for prop in ${editable_props[@]}; do
-			log_mustnot eval "$ZFS set $badarg $prop= $ds >/dev/null 2>&1"
+			log_mustnot eval "zfs set $badarg $prop= $ds >/dev/null 2>&1"
 		done
 	done
 done
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_set/zfs_set_003_neg.ksh	Wed Aug 31 16:20:45 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_set/zfs_set_003_neg.ksh	Wed Aug 31 16:20:45 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/tests/functional/cli_root/zfs_set/zfs_set_common.kshlib
 
 #
@@ -42,10 +46,10 @@
 function cleanup
 {
 	if [ -e $badpath ]; then
-		$RM -f $badpath
+		rm -f $badpath
 	fi
 	if datasetexists $TESTPOOL/foo; then
-		log_must $ZFS destroy $TESTPOOL/foo
+		log_must zfs destroy $TESTPOOL/foo
 	fi
 }
 
@@ -53,21 +57,21 @@
 log_onexit cleanup
 
 badpath=/tmp/foo1.$$
-$TOUCH $badpath
+touch $badpath
 longpath=$(gen_dataset_name 1030 "abcdefg")
 
-log_must $ZFS create -o mountpoint=legacy $TESTPOOL/foo
+log_must zfs create -o mountpoint=legacy $TESTPOOL/foo
 
 # Do the negative testing about "property may be set but unable to remount filesystem"
-log_mustnot eval "$ZFS set mountpoint=$badpath $TESTPOOL/foo >/dev/null 2>&1"
+log_mustnot eval "zfs set mountpoint=$badpath $TESTPOOL/foo >/dev/null 2>&1"
 
 # Do the negative testing about "property may be set but unable to reshare filesystem"
-log_mustnot eval "$ZFS set sharenfs=on $TESTPOOL/foo >/dev/null 2>&1"
+log_mustnot eval "zfs set sharenfs=on $TESTPOOL/foo >/dev/null 2>&1"
 
 # Do the negative testing about "sharenfs property can not be set to null"
-log_mustnot eval "$ZFS set sharenfs= $TESTPOOL/foo >/dev/null 2>&1"
+log_mustnot eval "zfs set sharenfs= $TESTPOOL/foo >/dev/null 2>&1"
 
 # Do the too long pathname testing (>1024)
-log_mustnot eval "$ZFS set mountpoint=/$longpath $TESTPOOL/foo >/dev/null 2>&1"
+log_mustnot eval "zfs set mountpoint=/$longpath $TESTPOOL/foo >/dev/null 2>&1"
 
 log_pass "'zfs set mountpoint/sharenfs' fails with invalid scenarios as expected."
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_set/zfs_set_common.kshlib	Wed Aug 31 16:20:45 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_set/zfs_set_common.kshlib	Wed Aug 31 16:20:45 2016
@@ -25,7 +25,7 @@
 #
 
 #
-# Copyright (c) 2014 by Delphix. All rights reserved.
+# Copyright (c) 2014, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -62,7 +62,7 @@
 		[[ -z $prop || -z $dataset ]] && \
 			log_fail "property or dataset isn't defined."
 
-		log_must $ZFS set $prop=$expect_value $dataset
+		log_must zfs set $prop=$expect_value $dataset
 		if [[ $expect_value == "gzip-6" ]]; then
 			expect_value="gzip"
 		fi
@@ -89,7 +89,7 @@
 		esac
 
 	else
-		log_mustnot $ZFS set $prop=$expect_value $dataset
+		log_mustnot zfs set $prop=$expect_value $dataset
 
 		[[ -n $prop ]] && cur_value=$(get_prop $prop $dataset)
 
@@ -109,16 +109,16 @@
 function cleanup_user_prop
 {
 	typeset pool=$1
-	typeset dtst=$($ZFS list -H -r -o name -t filesystem,volume $pool)
+	typeset dtst=$(zfs list -H -r -o name -t filesystem,volume $pool)
 
 	typeset user_prop
 	for dt in $dtst; do
-		user_prop=$($ZFS get -H -o property all $dtst | grep ":")
+		user_prop=$(zfs get -H -o property all $dtst | grep ":")
 
 		typeset prop
 		for prop in $user_prop; do
-			$ZFS inherit $prop $dt
-			(($? != 0)) && log_must $ZFS inherit $prop $dt
+			zfs inherit $prop $dt
+			(($? != 0)) && log_must zfs inherit $prop $dt
 		done
 	done
 }
@@ -150,7 +150,7 @@
 		((i += 1))
 	done
 
-	$ECHO "$str"
+	echo "$str"
 }
 
 #
@@ -183,7 +183,7 @@
 		break
 	done
 
-	$ECHO "${part1}:${part2}"
+	echo "${part1}:${part2}"
 }
 
 #
@@ -211,7 +211,7 @@
 		break
 	done
 
-	$ECHO "${part1}${part2}"
+	echo "${part1}${part2}"
 }
 
 #
@@ -225,7 +225,7 @@
 
 	typeset value=$(random_string ALL_CHAR $len)
 
-	$ECHO "$value"
+	echo "$value"
 }
 
 #
@@ -240,7 +240,7 @@
 	typeset dtst=$1
 	typeset user_prop="$2"
 	typeset expect_value="$3"
-	typeset value=$($ZFS get -p -H -o value "$user_prop" $dtst 2>&1)
+	typeset value=$(zfs get -p -H -o value "$user_prop" $dtst 2>&1)
 
 	if [[ "$expect_value" == "$value" ]]; then
 		return 0
@@ -258,10 +258,10 @@
 	typeset dataset=$2
 	typeset source
 
-	source=$($ZFS get -H -o source $prop $dataset)
+	source=$(zfs get -H -o source $prop $dataset)
         if (($? != 0)); then
                 log_fail "Unable to get $prop source for dataset $dataset"
         fi
 
-	$ECHO "$source"
+	echo "$source"
 }
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_share/zfs_share_001_pos.ksh	Wed Aug 31 16:20:45 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_share/zfs_share_001_pos.ksh	Wed Aug 31 16:20:45 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 
 #
@@ -51,7 +55,7 @@
 {
 	typeset -i i=0
 	while (( i < ${#fs[*]} )); do
-		log_must $ZFS set sharenfs=off ${fs[((i+1))]}
+		log_must zfs set sharenfs=off ${fs[((i+1))]}
 		unshare_fs ${fs[i]}
 
 		((i = i + 2))
@@ -58,14 +62,14 @@
 	done
 
 	if mounted $TESTPOOL/$TESTFS-clone; then
-		log_must $ZFS unmount $TESTDIR2
+		log_must zfs unmount $TESTDIR2
 	fi
 
 	datasetexists $TESTPOOL/$TESTFS-clone && \
-		log_must $ZFS destroy -f $TESTPOOL/$TESTFS-clone
+		log_must zfs destroy -f $TESTPOOL/$TESTFS-clone
 
 	if snapexists "$TESTPOOL/$TESTFS@snapshot"; then
-		log_must $ZFS destroy -f $TESTPOOL/$TESTFS@snapshot
+		log_must zfs destroy -f $TESTPOOL/$TESTFS@snapshot
 	fi
 }
 
@@ -84,7 +88,7 @@
 	not_shared $mntp || \
 	    log_fail "File system $filesystem is already shared."
 
-	log_must $ZFS set sharenfs=on $filesystem
+	log_must zfs set sharenfs=on $filesystem
 	is_shared $mntp || \
 	    log_fail "File system $filesystem is not shared (set sharenfs)."
 
@@ -91,24 +95,24 @@
 	#
 	# Verify 'zfs share' works as well.
 	#
-	log_must $ZFS unshare $filesystem
+	log_must zfs unshare $filesystem
 	is_shared $mntp && \
 	    log_fail "File system $filesystem is still shared."
 
-	log_must $ZFS share $filesystem
+	log_must zfs share $filesystem
 	is_shared $mntp || \
 	    log_fail "file system $filesystem is not shared (zfs share)."
 
 	log_note "Sharing a shared file system fails."
-	log_mustnot $ZFS share $filesystem
+	log_mustnot zfs share $filesystem
 }
 
 log_assert "Verify that 'zfs share' succeeds as root."
 log_onexit cleanup
 
-log_must $ZFS snapshot $TESTPOOL/$TESTFS@snapshot
-log_must $ZFS clone $TESTPOOL/$TESTFS@snapshot $TESTPOOL/$TESTFS-clone
-log_must $ZFS set mountpoint=$TESTDIR2 $TESTPOOL/$TESTFS-clone
+log_must zfs snapshot $TESTPOOL/$TESTFS@snapshot
+log_must zfs clone $TESTPOOL/$TESTFS@snapshot $TESTPOOL/$TESTFS-clone
+log_must zfs set mountpoint=$TESTDIR2 $TESTPOOL/$TESTFS-clone
 
 typeset -i i=0
 while (( i < ${#fs[*]} )); do
@@ -132,7 +136,7 @@
 #
 # Try a zfs share -a and verify all file systems are shared.
 #
-log_must $ZFS share -a
+log_must zfs share -a
 
 i=0
 while (( i < ${#fs[*]} )); do
@@ -142,4 +146,4 @@
 	((i = i + 2))
 done
 
-log_pass "'$ZFS share [ -a ] <filesystem>' succeeds as root."
+log_pass "'zfs share [ -a ] <filesystem>' succeeds as root."
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_share/zfs_share_002_pos.ksh	Wed Aug 31 16:20:46 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_share/zfs_share_002_pos.ksh	Wed Aug 31 16:20:46 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -58,12 +58,12 @@
 
 log_onexit cleanup
 
-log_mustnot $ZFS list $TESTPOOL/$NONEXISTFSNAME
+log_mustnot zfs list $TESTPOOL/$NONEXISTFSNAME
 
-$ZFS share $TESTPOOL/$NONEXISTFSNAME
+zfs share $TESTPOOL/$NONEXISTFSNAME
 ret=$?
 (( ret == 1)) || \
-	log_fail "'$ZFS share $TESTPOOL/$NONEXISTFSNAME' " \
+	log_fail "'zfs share $TESTPOOL/$NONEXISTFSNAME' " \
 		"failed with an unexpected return code of $ret."
 
 log_note "Make sure the file system $TESTPOOL/$NONEXISTFSNAME is unshared"
@@ -70,4 +70,4 @@
 not_shared $TESTPOOL/$NONEXISTFSNAME || \
 	log_fail "File system $TESTPOOL/$NONEXISTFSNAME is unexpectedly shared."
 
-log_pass "'$ZFS share' with a non-existent file system fails."
+log_pass "'zfs share' with a non-existent file system fails."
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_share/zfs_share_003_pos.ksh	Wed Aug 31 16:20:46 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_share/zfs_share_003_pos.ksh	Wed Aug 31 16:20:46 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 
 #
@@ -51,7 +55,7 @@
 {
 	typeset -i i=0
 	while (( i < ${#fs[*]} )); do
-		log_must $ZFS inherit -r sharenfs ${fs[((i + 1))]}
+		log_must zfs inherit -r sharenfs ${fs[((i + 1))]}
 		log_must unshare_fs ${fs[i]}
 
 		((i = i + 2))
@@ -75,15 +79,15 @@
 	    log_fail "File system $filesystem is already shared."
 
 	if is_global_zone ; then
-		log_must $ZFS set sharenfs=off $filesystem
+		log_must zfs set sharenfs=off $filesystem
 		not_shared $mntp || \
 		    log_fail "File system $filesystem is still shared (set sharenfs)."
 	fi
 
-	$ZFS share $filesystem
+	zfs share $filesystem
 	ret=$?
 	(( ret == 1)) || \
-	    log_fail "'$ZFS share $filesystem' " \
+	    log_fail "'zfs share $filesystem' " \
 		"unexpected return code of $ret."
 
 	not_shared $mntp || \
@@ -90,7 +94,7 @@
 	    log_fail "file system $filesystem is shared (zfs share)."
 }
 
-log_assert "Verify that '$ZFS share' with a file system " \
+log_assert "Verify that 'zfs share' with a file system " \
         "whose sharenfs property is 'off'  " \
         "will fail with return code 1."
 log_onexit cleanup
@@ -102,5 +106,5 @@
 	((i = i + 2))
 done
 
-log_pass "Verify that '$ZFS share' with a file system " \
+log_pass "Verify that 'zfs share' with a file system " \
         "whose sharenfs property is 'off' fails."
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_share/zfs_share_004_pos.ksh	Wed Aug 31 16:20:46 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_share/zfs_share_004_pos.ksh	Wed Aug 31 16:20:46 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -48,10 +48,10 @@
 function cleanup
 {
 	if snapexists $TESTPOOL/$TESTFS@snapshot; then
-		log_must $ZFS destroy $TESTPOOL/$TESTFS@snapshot
+		log_must zfs destroy $TESTPOOL/$TESTFS@snapshot
 	fi
 
-	log_must $ZFS set sharenfs=off $TESTPOOL/$TESTFS
+	log_must zfs set sharenfs=off $TESTPOOL/$TESTFS
 	log_must unshare_fs $TESTPOOL/$TESTFS
 }
 
@@ -70,27 +70,27 @@
         not_shared $mntp || \
             log_fail "File system $filesystem is already shared."
 
-        log_must $ZFS set sharenfs=on $filesystem
+        log_must zfs set sharenfs=on $filesystem
         is_shared $mntp || \
             log_fail "File system $filesystem is not shared (set sharenfs)."
 
-	log_must $LS -l  $mntp/$SNAPROOT/snapshot
+	log_must ls -l  $mntp/$SNAPROOT/snapshot
         #
         # Verify 'zfs share' works as well.
         #
-        log_must $ZFS unshare $filesystem
-        log_must $ZFS share $filesystem
+        log_must zfs unshare $filesystem
+        log_must zfs share $filesystem
 
         is_shared $mntp || \
             log_fail "file system $filesystem is not shared (zfs share)."
 
-	log_must $LS -l  $mntp/$SNAPROOT/snapshot
+	log_must ls -l  $mntp/$SNAPROOT/snapshot
 }
 
 log_assert "Verify that a file system and its snapshot are shared."
 log_onexit cleanup
 
-log_must $ZFS snapshot $TESTPOOL/$TESTFS@snapshot
+log_must zfs snapshot $TESTPOOL/$TESTFS@snapshot
 test_snap_share $TESTDIR $TESTPOOL/$TESTFS
 
 log_pass "A file system and its snapshot are both shared as expected."
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_share/zfs_share_005_pos.ksh	Wed Aug 31 16:20:46 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_share/zfs_share_005_pos.ksh	Wed Aug 31 16:20:46 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 
 #
@@ -41,7 +45,7 @@
 
 function cleanup
 {
-	log_must $ZFS set sharenfs=off $TESTPOOL/$TESTFS
+	log_must zfs set sharenfs=off $TESTPOOL/$TESTFS
 	is_shared $TESTPOOL/$TESTFS && \
 		log_must unshare_fs $TESTPOOL/$TESTFS
 }
@@ -61,7 +65,7 @@
 typeset -i i=0
 while (( i < ${#shareopts[*]} ))
 do
-	log_must $ZFS set sharenfs="${shareopts[i]}" $TESTPOOL/$TESTFS
+	log_must zfs set sharenfs="${shareopts[i]}" $TESTPOOL/$TESTFS
 
 	option=`get_prop sharenfs $TESTPOOL/$TESTFS`
 	if [[ $option != ${shareopts[i]} ]]; then
@@ -68,7 +72,7 @@
 		log_fail "get sharenfs failed. ($option != ${shareopts[i]})"
 	fi
 
-	$SHARE | $GREP $option > /dev/null 2>&1
+	share | grep $option > /dev/null 2>&1
 	if (( $? != 0 )); then
 		log_fail "The '$option' option was not found in share output."
 	fi
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_share/zfs_share_006_pos.ksh	Wed Aug 31 16:20:46 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_share/zfs_share_006_pos.ksh	Wed Aug 31 16:20:46 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 
 #
@@ -43,13 +47,13 @@
 
 function cleanup
 {
-	log_must $ZFS set sharenfs=off $TESTPOOL/$TESTCTR
+	log_must zfs set sharenfs=off $TESTPOOL/$TESTCTR
 	if mounted $TESTDIR2; then
-		log_must $ZFS unmount $TESTDIR2
+		log_must zfs unmount $TESTDIR2
 	fi
 
 	datasetexists $TESTPOOL/$TESTCTR/$TESTFS2 && \
-		log_must $ZFS destroy $TESTPOOL/$TESTCTR/$TESTFS2
+		log_must zfs destroy $TESTPOOL/$TESTCTR/$TESTFS2
 
 	typeset fs=""
 	for fs in $mntp $TESTDIR1 $TESTDIR2
@@ -74,7 +78,7 @@
 	not_shared $mntp || \
 	    log_fail "Mountpoint: $mntp is already shared."
 
-	log_must $ZFS set sharenfs=on $ctr
+	log_must zfs set sharenfs=on $ctr
 
 	not_shared $mntp || \
 		log_fail "File system $mntp is shared (set sharenfs)."
@@ -83,8 +87,8 @@
 	# Add a new file system to the dataset and verify it is shared.
 	#
 	typeset mntp2=$TESTDIR2
-	log_must $ZFS create $ctr/$TESTFS2
-	log_must $ZFS set mountpoint=$mntp2 $ctr/$TESTFS2
+	log_must zfs create $ctr/$TESTFS2
+	log_must zfs set mountpoint=$mntp2 $ctr/$TESTFS2
 
 	is_shared $mntp2 || \
 	    log_fail "File system $mntp2 was not shared (set sharenfs)."
